MSUBSET(1)

NAME
mSubset - Filter an image metadata table down to those records representing FITS files that overlap a footprint on the sky

SYNOPSIS
mSubset [-d level] [-f] [-s statusfile] images.tbl template.hdr subset.tbl

DESCRIPTION
Generates a table of images that is a subset of the input table, containing only those images that cover the area defined by a given FITS header.

OPTIONS

-d level
    Turns on debugging to the specified level (1-3).

-f  Fast mode - input file must include corners (-c flag in mImgtbl) to utilize this mode.

-s statusfile
    Output and errors are sent to statusfile instead of to stdout

ARGUMENTS

images.tbl
    ASCII table (generated by mImgtbl) containing metadata for image collection.

template.hdr
    FITS header template defining the area of interest.

subset.tbl
    Path to output table, which will contain only those FITS images covering the area defined by template.hdr.

RESULT
[struct stat="OK", count=nin, nmatches=nout]

where nin is the number of rows found in images.tbl, and nmatches is the number of rows in subset.tbl, which includes only those images that overlap the area defined by template.hdr.

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.